Subject: RE: [manet] MPR+DSDV

From: DANIEL BYRNE <[email-masked]>
Date: Tue, 17 Feb 2004 12:50:01 -0600

Or packets can be chosen at random to follow one of the shortest paths.  It shouldn't matter how a packet gets to its destination; it only matters if it gets there.  There could be some advantage gained by splitting the traffic up between the two shortest nodes.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Richard Ogier
Sent: Tuesday, February 17, 2004 11:54 AM
To: ines benbrahim
Cc: [email-masked]
Subject: Re: [manet] MPR+DSDV

For the method described below to be correct, I need to make one change.
If there is more than one possible next hop on a shortest path to some
destination, then the next hop with minimum (or maximum) node ID should
be selected, so that routes are computed consistently by all nodes.
(This is also why TBRPF uses node ID to break ties.)
(The min node ID rule is only for deciding which destinations u to report.
Packets can be forwarded along any computed shortest path.)

Richard

-------- Original Message --------

I thought about combining MPRs with distance-vector routing (e.g., DSDV)
a few years ago, but I haven't seen it published anywhere.
If MPRs are computed as in OLSR or TBRPF, then each node only needs to
report the distances to a subset of destinations, i.e., to nodes u
such that the next hop to u is an MPR selector.  This is analogous
to TBRPF in which each node reports only links on paths to
a subset of destinations that is defined similarly.

BTW, if this is a new idea and anyone uses it in a paper, please
acknowledge this email.

Richard  Ogier
SRI International

ines benbrahim wrote:

> hi every body
>
> i need your help, i am studying now the possibility of using MPR in 
> DSDV protocol. can u help me to realize this implementation in ns-2.26
>
> thank u a lot
>
>  
>
> ------------------------------------------------------------------------
> Yahoo! Mail : votre e-mail personnel et gratuit qui vous suit partout !
> Créez votre Yahoo! Mail 
>  

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet